library hc_utils;

export 'package:flutter/material.dart'
    show
        TextTheme,
        ThemeMode,
        RouteFactory,
        GenerateAppTitle,
        InitialRouteListFactory;
export 'package:flutter/widgets.dart';

export 'package:htkc_utils/hc_utils/border/hc_dotted_border.dart';

export 'package:htkc_utils/chat_ui/chat_l10n.dart';
export 'package:htkc_utils/chat_ui/chat_theme.dart';
export 'package:htkc_utils/chat_ui/models/bubble_rtl_alignment.dart';
export 'package:htkc_utils/chat_ui/models/emoji_enlargement_behavior.dart';
export 'package:htkc_utils/chat_ui/models/input_clear_mode.dart';
export 'package:htkc_utils/chat_ui/models/pattern_style.dart';
export 'package:htkc_utils/chat_ui/models/send_button_visibility_mode.dart';
export 'package:htkc_utils/chat_ui/models/typing_indicator_mode.dart';
export 'package:htkc_utils/chat_ui/util.dart'
    show formatBytes, isConsistsOfEmojis;
export 'package:htkc_utils/chat_ui/widgets/chat.dart';
export 'package:htkc_utils/chat_ui/widgets/chat_list.dart';
export 'package:htkc_utils/chat_ui/widgets/image_gallery.dart';
export 'package:htkc_utils/chat_ui/widgets/input/attachment_button.dart';
export 'package:htkc_utils/chat_ui/widgets/input/input.dart';
export 'package:htkc_utils/chat_ui/widgets/input/input_text_field_controller.dart';
export 'package:htkc_utils/chat_ui/widgets/input/send_button.dart';
export 'package:htkc_utils/chat_ui/widgets/message/file_message.dart';
export 'package:htkc_utils/chat_ui/widgets/message/image_message.dart';
export 'package:htkc_utils/chat_ui/widgets/message/message.dart';
export 'package:htkc_utils/chat_ui/widgets/message/message_status.dart';
export 'package:htkc_utils/chat_ui/widgets/message/system_message.dart';
export 'package:htkc_utils/chat_ui/widgets/message/text_message.dart';
export 'package:htkc_utils/chat_ui/widgets/message/user_avatar.dart';
export 'package:htkc_utils/chat_ui/widgets/message/user_name.dart';
export 'package:htkc_utils/chat_ui/widgets/typing_indicator.dart';
export 'package:htkc_utils/chat_ui/widgets/unread_header.dart';

export 'package:htkc_utils/hc_utils/multiselect/hc_multiselect_dropdown.dart';

export 'package:htkc_utils/hc_utils/system/hc_system_utility.dart';

export 'package:htkc_utils/emergent_utils/emergent_colors.dart';
export 'package:htkc_utils/emergent_utils/emergent_box_shape.dart';
export 'package:htkc_utils/emergent_utils/emergent_shape.dart';
export 'package:htkc_utils/emergent_utils/emergent_light_source.dart';
export 'package:htkc_utils/emergent_utils/shape/emergent_path_provider.dart';
export 'package:htkc_utils/emergent_utils/theme/emergent_app_bar.dart';
export 'package:htkc_utils/emergent_utils/theme/emergent_theme.dart';
export 'package:htkc_utils/emergent_utils/theme/emergent_decoration_theme.dart';
export 'package:htkc_utils/emergent_utils/widget/emergent_app.dart';
export 'package:htkc_utils/emergent_utils/widget/emergent_app_bar.dart';
export 'package:htkc_utils/emergent_utils/widget/emergent_back_button.dart';
export 'package:htkc_utils/emergent_utils/widget/emergent_background.dart';
export 'package:htkc_utils/emergent_utils/widget/emergent_button.dart';
export 'package:htkc_utils/emergent_utils/widget/emergent_checkbox.dart';
export 'package:htkc_utils/emergent_utils/widget/emergent_close_button.dart';
export 'package:htkc_utils/emergent_utils/widget/emergent_container.dart';
export 'package:htkc_utils/emergent_utils/widget/emergent_icon.dart';
export 'package:htkc_utils/emergent_utils/widget/emergent_indicator.dart';
export 'package:htkc_utils/emergent_utils/widget/emergent_progress.dart';
export 'package:htkc_utils/emergent_utils/widget/emergent_radio.dart';
export 'package:htkc_utils/emergent_utils/widget/emergent_range_slider.dart';
export 'package:htkc_utils/emergent_utils/widget/emergent_slider.dart';
export 'package:htkc_utils/emergent_utils/widget/emergent_switch.dart';
export 'package:htkc_utils/emergent_utils/widget/emergent_text.dart';
export 'package:htkc_utils/emergent_utils/widget/emergent_toggle.dart';
export 'package:htkc_utils/emergent_utils/widget/emergent_floating_action_button.dart';

export 'package:htkc_utils/hc_utils/hc_app_text_style.dart';
export 'package:htkc_utils/hc_utils/hc_image_res.dart';
export 'package:htkc_utils/hc_utils/hc_custom_functions.dart';
export 'package:htkc_utils/hc_utils/hc_alert_dialog.dart';
export 'package:htkc_utils/hc_utils/hc_app_bar.dart';
export 'package:htkc_utils/hc_utils/hc_app_button.dart';
export 'package:htkc_utils/hc_utils/hc_app_loader.dart';
export 'package:htkc_utils/hc_utils/hc_dotted_rect.dart';
export 'package:htkc_utils/hc_utils/hc_image_slider.dart';
export 'package:htkc_utils/hc_utils/hc_context_extensions.dart';
export 'package:htkc_utils/hc_utils/hc_ease_in_widget.dart';
export 'package:htkc_utils/hc_utils/hc_text_field.dart';
export 'package:htkc_utils/hc_utils/hc_decorated_tab_bar.dart';
export 'package:htkc_utils/hc_utils/hc_slide_animation.dart';
export 'package:htkc_utils/hc_utils/hc_relative_date_format.dart';

export 'package:htkc_utils/hc_utils/alert/hc_dialog_button.dart';
export 'package:htkc_utils/hc_utils/alert/hc_alert_style.dart';
export 'package:htkc_utils/hc_utils/alert/hc_alert.dart';

export 'package:htkc_utils/hc_utils/drag/hc_drag_drop.dart';
export 'package:htkc_utils/hc_utils/drag/hc_drag_drop_view.dart';
export 'package:htkc_utils/hc_utils/drag/hc_grid_orbit.dart';

export 'package:htkc_utils/hc_utils/age/hc_age.dart';

export 'package:htkc_utils/hc_utils/otp/hc_otp_field.dart';
export 'package:htkc_utils/hc_utils/otp/hc_otp_field_style.dart';

export 'package:htkc_utils/hc_utils/share/hc_share.dart';

export 'package:flutter/material.dart';

import 'package:htkc_utils/image_compression_utils/basic_utils/hc_compressor_stub.dart'
    if (dart.library.io) 'image_compression_utils/basic_utils/hc_compressor_io.dart'
    if (dart.library.html) 'image_compression_utils/basic_utils/hc_compressor_html.dart';
import 'package:htkc_utils/image_compression_utils/basic_utils/hc_interface.dart';

export 'package:cross_file/cross_file.dart' show XFile;
export 'package:image_compression/image_compression.dart' show ImageFile;

export 'package:htkc_utils/image_compression_utils/basic_utils/hc_configurations.dart';
export 'package:htkc_utils/image_compression_utils/basic_utils/hc_extension.dart'
    show HcXFileExtension;


export 'package:htkc_utils/dropdown_search/properties/hc_bottom_sheet_props.dart';
export 'package:htkc_utils/dropdown_search/properties/hc_clear_button_props.dart';
export 'package:htkc_utils/dropdown_search/properties/hc_dialog_props.dart';
export 'package:htkc_utils/dropdown_search/properties/hc_dropdown_button_props.dart';
export 'package:htkc_utils/dropdown_search/properties/hc_dropdown_decorator_props.dart';
export 'package:htkc_utils/dropdown_search/properties/hc_favorite_item_props.dart';
export 'package:htkc_utils/dropdown_search/properties/hc_icon_button_props.dart';
export 'package:htkc_utils/dropdown_search/properties/hc_list_view_props.dart';
export 'package:htkc_utils/dropdown_search/properties/hc_menu_props.dart';
export 'package:htkc_utils/dropdown_search/properties/hc_modal_bottom_sheet_props.dart';
export 'package:htkc_utils/dropdown_search/properties/hc_popup_props.dart';
export 'package:htkc_utils/dropdown_search/properties/hc_text_field_props.dart';

export 'package:htkc_utils/upgrade/hc_alert_style_widget.dart';
export 'package:htkc_utils/upgrade/hc_app_cast.dart';
export 'package:htkc_utils/upgrade/hc_itunes_search_api.dart';
export 'package:htkc_utils/upgrade/hc_play_store_search_api.dart';
export 'package:htkc_utils/upgrade/hc_upgrade_new_version_alert.dart';
export 'package:htkc_utils/upgrade/hc_upgrade_new_version_card.dart';
export 'package:htkc_utils/upgrade/hc_upgrade_new_version_device.dart';
export 'package:htkc_utils/upgrade/hc_upgrade_new_version_messages.dart';
export 'package:htkc_utils/upgrade/hc_upgrade_new_version_os.dart';
export 'package:htkc_utils/upgrade/hc_upgrade_new_version.dart';

/// Global singleton instance for image compressor
final HcImageCompressionInterface compressor = getCompressor();
